Saloon Member Services
Function-calling namespace: saloonMemberServices
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: Stack token middleware enabled in
optionalmode. - Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - In
optionalmode: no token is allowed; invalid token is rejected with401.
listByOrganization
Source: backend/endpoints/saloon-member-services/list-by-organization
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | Yes | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "saloonMemberServices",
"apiName": "listByOrganization",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }replaceForMember
Source: backend/endpoints/saloon-member-services/replace-for-member
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | Yes | - |
locationId | string | Yes | - |
memberAssignmentId | string | Yes | - |
items | array<object> | No | - |
Nested Field Structures
items item
| Field | Type | Required | Constraints |
|---|---|---|---|
serviceId | string | Yes | - |
customPrice | number | No | - |
isActive | boolean | No | nullable |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "saloonMemberServices",
"apiName": "replaceForMember",
"data": {
"organizationId": "org_123",
"locationId": "location_123",
"memberAssignmentId": "memberassignment_123"
}
}'Example Response
{ "status": "ok", "data": {} }